com.ibm.openpages.api.rule

## Interface IBaseFindOptions

- All Known Subinterfaces:
    IScheduleJobFindOptions, ISchedulerJobInstanceFindOptions, ITBRuleDefinitionFindOptions, IWFActivityInstanceFindOptions, IWFActivityNotificationFindOptions, IWFBaseFindOptions, IWFProcessDefinitionFindOptions

      public interface IBaseFindOptions

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAndOr()` Get the AND or OR operator for search conditions.
    `boolean` | `getIncludeTotalCount()` Get the include total count of the search results.
    `boolean` | `getIsPagingOn()` Returns if Paging is On on the search results
    `int` | `getMaxResults()` Get the Maximum results for the search results
    `int` | `getPageNum()` Returns the Page number that needs to be retrieved in the search results
    `int` | `getResultsPerPage()` Get the results per page
    `int` | `getReturnLastRow()` Get the last row number to be returned
    `boolean` | `getReturnOnlyCounts()` Get the return only count flag.
    `int` | `getReturnStartRow()` Get the start row number to be returned
    `SortDirection` | `getSortDirection()` Get the sort direction
    `java.lang.String` | `getSortFieldName()` Get the sort field name.
    `void` | `setAndOr(int andOr)` Set the AND or OR operator for the search conditions.
    `void` | `setIncludeTotalCount(boolean includeTotalCount)` Set the include total count of the search results.
    `void` | `setMaxResults(int maxResults)` Set the Maximum results for the search results.
    `void` | `setPageNum(int pageNum)` Set the page number to be retrieved in the search results.
    `void` | `setPagingOn(boolean isPagingOn)` Set the Pagination On for the search results Default value for this flag is false.
    `void` | `setResultsPerPage(int resultsPerPage)` Set the results per page
    `void` | `setReturnLastRow(int lastRow)` Set the last row number to be returned
    `void` | `setReturnOnlyCounts(boolean returnOnlyCounts)` Set the return only count flag.
    `void` | `setReturnStartRow(int startRow)` Set the start row number to be returned
    `void` | `setSortDirection(SortDirection direction)` set the sort Direction.
    `void` | `setSortFieldName(java.lang.String sortFieldName)` Set the sort field name.

- - ### Method Detail

    - #### getSortFieldName

          java.lang.String getSortFieldName()

      Get the sort field name.
      Returns:

    - #### setSortFieldName

          void setSortFieldName(java.lang.String sortFieldName)

      Set the sort field name.
      Parameters:
        `sortFieldName` -

    - #### getSortDirection

          SortDirection getSortDirection()

      Get the sort direction
      Returns:

    - #### setSortDirection

          void setSortDirection(SortDirection direction)

      set the sort Direction. Default sort direction is `SortDirection.Asc`
      Parameters:
        `direction` -

    - #### getPageNum

          int getPageNum()

      Returns the Page number that needs to be retrieved in the search results
      Returns:

    - #### setPageNum

          void setPageNum(int pageNum)

      Set the page number to be retrieved in the search results.
      Parameters:
        `pageNum` -

    - #### getAndOr

          int getAndOr()

      Get the AND or OR operator for search conditions.
      Returns:

    - #### setAndOr

          void setAndOr(int andOr)

      Set the AND or OR operator for the search conditions. Default operator is AND
      Parameters:
        `andOr` -

    - #### setMaxResults

          void setMaxResults(int maxResults)

      Set the Maximum results for the search results.
      Parameters:
        `maxResults` -

    - #### getMaxResults

          int getMaxResults()

      Get the Maximum results for the search results
      Returns:

    - #### setPagingOn

          void setPagingOn(boolean isPagingOn)

      Set the Pagination On for the search results Default value for this flag is false.
      Parameters:
        `isPagingOn` -

    - #### getIsPagingOn

          boolean getIsPagingOn()

      Returns if Paging is On on the search results
      Returns:

    - #### setResultsPerPage

          void setResultsPerPage(int resultsPerPage)

      Set the results per page
      Parameters:
        `resultsPerPage` -

    - #### getResultsPerPage

          int getResultsPerPage()

      Get the results per page
      Returns:

    - #### setReturnLastRow

          void setReturnLastRow(int lastRow)

      Set the last row number to be returned
      Parameters:
        `lastRow` -

    - #### getReturnLastRow

          int getReturnLastRow()

      Get the last row number to be returned
      Returns:

    - #### setReturnStartRow

          void setReturnStartRow(int startRow)

      Set the start row number to be returned
      Parameters:
        `startRow` -

    - #### getReturnStartRow

          int getReturnStartRow()

      Get the start row number to be returned
      Returns:

    - #### setIncludeTotalCount

          void setIncludeTotalCount(boolean includeTotalCount)

      Set the include total count of the search results. Default value for this flag is true.
      Parameters:
        `includeTotalCount` -

    - #### getIncludeTotalCount

          boolean getIncludeTotalCount()

      Get the include total count of the search results.
      Returns:

    - #### setReturnOnlyCounts

          void setReturnOnlyCounts(boolean returnOnlyCounts)

      Set the return only count flag. Default value for this flag is false.
      Parameters:
        `returnOnlyCounts` -

    - #### getReturnOnlyCounts

          boolean getReturnOnlyCounts()

      Get the return only count flag.
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.